### GET /setting/logicmodules/metadata
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
get metadata
```markdown
### Responses
#### 200 - Successfully retrieved metadata
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/logicmodules/metadata"
```
```
--------------------------------
### GET /setting/topologysources
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Get TopologySource List
```markdown
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/topologysources"
```
```
--------------------------------
### GET /log/partitions
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve a list of all log partitions
```markdown
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/log/partitions"
```
```
--------------------------------
### GET /metrics/summary
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
get metrics usage with company settings summary
```markdown
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/metrics/summary"
```
```
--------------------------------
### GET /device/devices/delta/{deltaId}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Get delta devices using deltaId
```markdown
### Parameters
- **deltaId** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/device/devices/delta/{deltaId}"
```
```
--------------------------------
### GET /website/groups/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
get website group
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/website/groups/{id}"
```
```
--------------------------------
### GET /usage/contractInfo
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
get contract info by company
```markdown
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/usage/contractInfo"
```
```
--------------------------------
### GET /setting/diagnosticsources
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieves a list of diagnostics sources
```markdown
### Responses
#### 200 - Successfully retrieved diagnostics sources list
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/diagnosticsources"
```
```
--------------------------------
### GET /apiStats/externalApis
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
get external api stats info
```markdown
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/apiStats/externalApis"
```
```
--------------------------------
### GET /log/partitions/retentions
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve the list of log retentions
```markdown
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/log/partitions/retentions"
```
```
--------------------------------
### GET /setting/oids
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve the list of OIDs
```markdown
### Responses
#### 200 - Successfully retrieved the list of OIDs
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/oids"
```
```
--------------------------------
### GET /sdt/sdts/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
get SDT by id (Response may contain extra fields depending upon the type of SDT of given id)
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/sdt/sdts/{id}"
```
```
--------------------------------
### GET /device/devices/{deviceId}/deviceeventsources
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve a paginated list of device eventsources
```markdown
### Parameters
- **deviceId** (string, path, required)
### Responses
#### 200 - Successfully retrieved the device eventsource list
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/device/devices/{deviceId}/deviceeventsources"
```
```
--------------------------------
### GET /metrics/usage
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve the metrics usage information
```markdown
### Responses
#### 200 - Successfully retrieved the metrics usage
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/metrics/usage"
```
```
--------------------------------
### GET /device/groups/{deviceGroupId}/clusterAlertConf/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Get cluster alert configuration by id
```markdown
### Parameters
- **deviceGroupId** (string, path, required)
- **id** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/device/groups/{deviceGroupId}/clusterAlertConf/{id}"
```
```
--------------------------------
### GET /setting/datasources/{dsId}/ographs/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieves a datasource overview graph based on the provided ID
```markdown
### Parameters
- **dsId** (string, path, required)
- **id** (string, path, required)
### Responses
#### 200 - Successfully retrieved datasource overview graph by ID
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/datasources/{dsId}/ographs/{id}"
```
```
--------------------------------
### GET /log/partitions/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve details of a specific log partition
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/log/partitions/{id}"
```
```
--------------------------------
### API Overview: LogicMonitor REST API
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
LogicMonitor is a SaaS-based performance monitoring platform that provides full visibility into complex, hybrid infrastructures, offering granular performance monitoring and actionable data and insights. logicmonitor_sdk enables you to manage your LogicMonitor account programmatically.
Note:
- For Python SDKs, the REQUEST parameters can contain camelCase or an underscore.
- Both underscore and camelCase are supported if parameters are encapsulated within the body.
- Only camelCase is supported if parameters are encapsulated within the body and also if the user is passing raw JSON as REQUEST parameter. However, the RESPONSE parameters always contain an underscore. For example, you can use testLocation or test_location in the REQUEST parameter. But the RESPONSE parameter will always be test_location.
- The fields parameter only supports camelCase.
```yaml
# LogicMonitor REST API
# Version: 3.0.0
LogicMonitor is a SaaS-based performance monitoring platform that provides full visibility into complex, hybrid infrastructures, offering granular performance monitoring and actionable data and insights. logicmonitor_sdk enables you to manage your LogicMonitor account programmatically.
Note: - For Python SDKs, the REQUEST parameters can contain camelCase or an underscore.
- Both underscore and camelCase are supported if parameters are encapsulated within the body.
- Only camelCase is supported if parameters are encapsulated within the body and also if the user is passing raw JSON as REQUEST parameter. However, the RESPONSE parameters always contain an underscore. For example, you can use testLocation or test_location in the REQUEST parameter. But the RESPONSE parameter will always be test_location.
- The fields parameter only supports camelCase.
# Base URL: Not specified
```
--------------------------------
### GET /setting/oids/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve the OID details by its ID
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully retrieved OID details
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/oids/{id}"
```
```
--------------------------------
### GET /setting/configsources/{id}/updatereasons
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve the list of update reasons/history for a specific configSource
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully retrieved update history for the configSource
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/configsources/{id}/updatereasons"
```
```
--------------------------------
### GET /setting/functions/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve a specific applies to function using its ID
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully retrieved the applies to function
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/functions/{id}"
```
```
--------------------------------
### GET /aws/accountId
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve the AWS account ID
```markdown
### Responses
#### 200 - Successfully retrieved the AWS account ID
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/aws/accountId"
```
```
--------------------------------
### GET /setting/netscans/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve a specific netscan by its ID
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully retrieved the netscan by ID
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/netscans/{id}"
```
```
--------------------------------
### GET /aws/externalId
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve the AWS external ID
```markdown
### Responses
#### 200 - Successfully retrieved the AWS external ID
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/aws/externalId"
```
```
--------------------------------
### GET /setting/accesslogs/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve a specific audit log by its ID
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully retrieved the audit log by id
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/accesslogs/{id}"
```
```
--------------------------------
### GET /report/groups/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve a specific report group by its ID
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully retrieved the report group by id
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/report/groups/{id}"
```
```
--------------------------------
### GET /setting/recipientgroups/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Retrieve a specific recipient group by its ID
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully retrieved the recipient group by id
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/setting/recipientgroups/{id}"
```
```
--------------------------------
### GET /report/reports/{id}/tasks/{taskId}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Fetch the report associated with a specific task ID
```markdown
### Parameters
- **id** (string, path, required)
- **taskId** (string, path, required)
### Responses
#### 200 - Successfully retrieved the report for the task
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X GET "https://api.example.com/report/reports/{id}/tasks/{taskId}"
```
```
--------------------------------
### POST /setting/configsources
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new config source
```markdown
### Parameters
- **body** (ConfigSource, body, optional)
### Responses
#### 200 - Successfully added the new config source
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/configsources"
```
```
--------------------------------
### POST /device/devices/{deviceId}/devicedatasources/{hdsId}/instances
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add device instance
```markdown
### Parameters
- **deviceId** (string, path, required)
- **hdsId** (string, path, required): The device-datasource ID
- **body** (DeviceDataSourceInstance, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/device/devices/{deviceId}/devicedatasources/{hdsId}/instances"
```
```
--------------------------------
### POST /setting/opsnotes
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add opsnote
```markdown
### Parameters
- **body** (OpsNote, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/opsnotes"
```
```
--------------------------------
### POST /log/partitions
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new log partition
```markdown
### Parameters
- **body** (LogPartition, body, optional)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/log/partitions"
```
```
--------------------------------
### POST /setting/configsources/importxml
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Import configuration source data from an XML file
```markdown
### Parameters
- **body** (object, body, optional)
### Responses
#### 200 - Successfully imported the config source
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/configsources/importxml"
```
```
--------------------------------
### POST /setting/topologysources
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add TopologySource
```markdown
### Parameters
- **body** (TopologySource, body, optional)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/topologysources"
```
```
--------------------------------
### POST /setting/functions
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new applies to function
```markdown
### Parameters
- **body** (AppliesToFunction, body, optional)
### Responses
#### 200 - Successfully added the applies to function
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/functions"
```
```
--------------------------------
### POST /setting/admins
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add user
```markdown
### Parameters
- **body** (Admin, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/admins"
```
```
--------------------------------
### POST /setting/roles
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new role
```markdown
### Parameters
- **body** (Role, body, required)
### Responses
#### 200 - Successfully added the role
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/roles"
```
```
--------------------------------
### POST /setting/logsources
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Adds a new log source
```markdown
### Parameters
- **body** (LogSource, body, optional)
### Responses
#### 200 - Successfully added new log source
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/logsources"
```
```
--------------------------------
### PUT /device/devices/{deviceId}/devicedatasources/{hdsId}/instances/{instanceId}/alertsettings/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update device instance alert setting
```markdown
### Parameters
- **deviceId** (string, path, required)
- **hdsId** (string, path, required): Device-DataSource ID
- **instanceId** (string, path, required)
- **id** (string, path, required)
- **body** (DeviceDataSourceInstanceAlertSetting, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/device/devices/{deviceId}/devicedatasources/{hdsId}/instances/{instanceId}/alertsettings/{id}"
```
```
--------------------------------
### POST /device/devices/{deviceId}/devicedatasources/{hdsId}/instances/{instanceId}/config/configCollection
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
collect a config for a device
```markdown
### Parameters
- **instanceId** (string, path, required)
- **deviceId** (string, path, required)
- **hdsId** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/device/devices/{deviceId}/devicedatasources/{hdsId}/instances/{instanceId}/config/configCollection"
```
```
--------------------------------
### POST /setting/alert/chains
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new escalation chain
```markdown
### Parameters
- **body** (EscalatingChain, body, required)
### Responses
#### 200 - Successfully added the escalation chain
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/alert/chains"
```
```
--------------------------------
### POST /log/partitions/{id}/{action}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Perform an action on a specified log partition
```markdown
### Parameters
- **id** (string, path, required)
- **action** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/log/partitions/{id}/{action}"
```
```
--------------------------------
### POST /setting/batchjobs/importxml
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Import a batch job using XML data
```markdown
### Parameters
- **body** (object, body, optional)
### Responses
#### 200 - Successfully imported the batch job via XML
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/batchjobs/importxml"
```
```
--------------------------------
### POST /setting/batchjobs
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new JobMonitor
```markdown
### Parameters
- **body** (BatchJob, body, optional)
### Responses
#### 200 - Successfully added the JobMonitor
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/batchjobs"
```
```
--------------------------------
### POST /setting/propertyrules
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Creates a new property rule in the system
```markdown
### Parameters
- **body** (PropertyRule, body, optional)
### Responses
#### 200 - Successfully created the new property rule
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/propertyrules"
```
```
--------------------------------
### POST /setting/dnsmappings
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add a new DNS mapping
```markdown
### Parameters
- **body** (RestDNSMappingV3, body, optional)
### Responses
#### 200 - Successfully added the DNS mapping
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/dnsmappings"
```
```
--------------------------------
### POST /setting/eventsources
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Adds a new event source
```markdown
### Parameters
- **body** (EventSource, body, optional)
### Responses
#### 200 - Successfully added new event source
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/eventsources"
```
```
--------------------------------
### POST /setting/netscans
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new netscan
```markdown
### Parameters
- **body** (Netscan, body, optional)
### Responses
#### 200 - Successfully added the new netscan
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/netscans"
```
```
--------------------------------
### POST /azure/functions/discoverSubscriptions
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
view subscriptions
```markdown
### Parameters
- **body** (RestAzureSubscriptionsDiscoverV3, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/azure/functions/discoverSubscriptions"
```
```
--------------------------------
### POST /gcp/functions/testAccount
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
test GCP account
```markdown
### Parameters
- **body** (RestGcpAccountTestV3, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/gcp/functions/testAccount"
```
```
--------------------------------
### POST /setting/alert/rules
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add alert rule
```markdown
### Parameters
- **body** (AlertRule, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/alert/rules"
```
```
--------------------------------
### POST /setting/datasources/importxml
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Imports a datasource from an XML file
```markdown
### Parameters
- **body** (object, body, optional)
### Responses
#### 200 - Successfully imported datasource via XML
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/datasources/importxml"
```
```
--------------------------------
### POST /setting/diagnosticsources
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Adds a new diagnostics source
```markdown
### Parameters
- **body** (DiagnosticsSource, body, optional)
### Responses
#### 200 - Successfully added new diagnostics source
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/diagnosticsources"
```
```
--------------------------------
### POST /setting/oids
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new OID and add it to the system
```markdown
### Parameters
- **body** (RestOidV3, body, optional)
### Responses
#### 200 - Successfully added a new OID
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/oids"
```
```
--------------------------------
### POST /azure/functions/verifyStorageAccountsPermissions
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
view storage accounts
```markdown
### Parameters
- **body** (RestAzureStorageAccountVerify, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/azure/functions/verifyStorageAccountsPermissions"
```
```
--------------------------------
### PATCH /device/devices/{deviceId}/devicedatasources/{hdsId}/instances/{instanceId}/alertsettings/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update device instance alert setting
```markdown
### Parameters
- **deviceId** (string, path, required)
- **hdsId** (string, path, required): Device-DataSource ID
- **instanceId** (string, path, required)
- **id** (string, path, required)
- **body** (DeviceDataSourceInstanceAlertSetting, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PATCH "https://api.example.com/device/devices/{deviceId}/devicedatasources/{hdsId}/instances/{instanceId}/alertsettings/{id}"
```
```
--------------------------------
### POST /setting/accessgroup/add
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a access group
```markdown
### Parameters
- **body** (AccessGroup, body, optional)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/accessgroup/add"
```
```
--------------------------------
### POST /setting/eventsources/importxml
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Imports an event source from an XML file
```markdown
### Parameters
- **body** (object, body, optional)
### Responses
#### 200 - Successfully imported event source via XML
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/eventsources/importxml"
```
```
--------------------------------
### POST /device/devices/{deviceId}/devicedatasources/{deviceDsId}/groups
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add a new device datasource instance group
```markdown
### Parameters
- **deviceDsId** (string, path, required): The device-datasource ID you'd like to add an instance group for
- **deviceId** (string, path, required)
- **body** (DeviceDataSourceInstanceGroup, body, required)
### Responses
#### 200 - Successfully added the device datasource instance group
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/device/devices/{deviceId}/devicedatasources/{deviceDsId}/groups"
```
```
--------------------------------
### POST /report/reports
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new report
```markdown
### Parameters
- **body** (ReportBase, body, required)
### Responses
#### 200 - Successfully added the report
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/report/reports"
```
```
--------------------------------
### POST /website/websites
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add website. Request structure may vary based on the check type {PingCheck | WebCheck model}. Use the respective model in SDK.
```markdown
### Parameters
- **body** (Website, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/website/websites"
```
```
--------------------------------
### POST /website/groups
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add website group
```markdown
### Parameters
- **body** (WebsiteGroup, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/website/groups"
```
```
--------------------------------
### POST /setting/accessgroup/mapunmap/modules
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Map a module to an access group
```markdown
### Parameters
- **body** (RestMapModuleV3, body, optional)
### Responses
#### 200 - Successfully created the mapping
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/accessgroup/mapunmap/modules"
```
```
--------------------------------
### POST /dashboard/dashboards
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add dashboard
```markdown
### Parameters
- **body** (Dashboard, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/dashboard/dashboards"
```
```
--------------------------------
### POST /azure/functions/testAccount
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
test Azure account
```markdown
### Parameters
- **body** (RestAzureAccountTestV3, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/azure/functions/testAccount"
```
```
--------------------------------
### POST /sdt/sdts
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add SDT (Response may contain extra fields depending upon the type of SDT being added)
```markdown
### Parameters
- **body** (SDT, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/sdt/sdts"
```
```
--------------------------------
### POST /setting/diagnosticsources/executemanually
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Trigger a diagnostic module for host.
```markdown
### Parameters
- **body** (DiagnosticsSourceExecution, body, optional)
### Responses
#### 200 - Trigger a diagnostic module for host
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/diagnosticsources/executemanually"
```
```
--------------------------------
### PUT /setting/opsnotes/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update opsnote
```markdown
### Parameters
- **id** (string, path, required)
- **body** (OpsNote, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/setting/opsnotes/{id}"
```
```
--------------------------------
### POST /device/groups
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add device group
```markdown
### Parameters
- **body** (DeviceGroup, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/device/groups"
```
```
--------------------------------
### PUT /log/partitions/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Update an existing log partition
```markdown
### Parameters
- **id** (string, path, required)
- **body** (LogPartition, body, optional)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/log/partitions/{id}"
```
```
--------------------------------
### PATCH /setting/opsnotes/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update opsnote
```markdown
### Parameters
- **id** (string, path, required)
- **body** (OpsNote, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PATCH "https://api.example.com/setting/opsnotes/{id}"
```
```
--------------------------------
### POST /device/devices/{deviceId}/properties
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add a new property to a specific device
```markdown
### Parameters
- **deviceId** (string, path, required)
- **body** (EntityProperty, body, required)
### Responses
#### 200 - Successfully added the device property
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/device/devices/{deviceId}/properties"
```
```
--------------------------------
### POST /saas/functions/testAccount
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Test the connection or status of a SaaS account
```markdown
### Parameters
- **body** (RestSaaSAccountTestV3, body, required)
### Responses
#### 200 - Successfully tested the SaaS account
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/saas/functions/testAccount"
```
```
--------------------------------
### POST /device/groups/{deviceGroupId}/clusterAlertConf
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add cluster alert configuration
```markdown
### Parameters
- **deviceGroupId** (string, path, required)
- **body** (DeviceClusterAlertConfig, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/device/groups/{deviceGroupId}/clusterAlertConf"
```
```
--------------------------------
### POST /device/groups/{gid}/properties
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add a new property to a specific device group
```markdown
### Parameters
- **gid** (string, path, required): group ID
- **body** (EntityProperty, body, required)
### Responses
#### 200 - Successfully added the device group property
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/device/groups/{gid}/properties"
```
```
--------------------------------
### PATCH /log/partitions/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Update an existing log partition
```markdown
### Parameters
- **id** (string, path, required)
- **body** (LogPartition, body, optional)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PATCH "https://api.example.com/log/partitions/{id}"
```
```
--------------------------------
### DELETE /device/devices/{deviceId}/devicedatasources/{hdsId}/instances/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
delete a device instance
```markdown
### Parameters
- **deviceId** (string, path, required)
- **hdsId** (string, path, required): The device-datasource ID
- **id** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X DELETE "https://api.example.com/device/devices/{deviceId}/devicedatasources/{hdsId}/instances/{id}"
```
```
--------------------------------
### POST /aws/functions/verifyBillingPermissions
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Verify the billing permissions of an AWS account
```markdown
### Parameters
- **body** (RestAwsAccountTestV3, body, required)
### Responses
#### 200 - Successfully verified the AWS billing permissions
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/aws/functions/verifyBillingPermissions"
```
```
--------------------------------
### POST /setting/collector/groups
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Create a new collector group
```markdown
### Parameters
- **body** (CollectorGroup, body, required)
### Responses
#### 200 - Successfully added the collector group
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/collector/groups"
```
```
--------------------------------
### DELETE /website/websites/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
delete website
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X DELETE "https://api.example.com/website/websites/{id}"
```
```
--------------------------------
### POST /setting/collector/collectors
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add collector
```markdown
### Parameters
- **body** (Collector, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/collector/collectors"
```
```
--------------------------------
### PUT /device/devices/{deviceId}/devicedatasources/{deviceDsId}/groups/{dsigId}/datapoints/{dpId}/alertconfig
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Update the alert threshold for an instance group. Setting the threshold at the default group is not allowed.
```markdown
### Parameters
- **deviceDsId** (string, path, required): The device-datasource ID you'd like to add an instance group for
- **deviceId** (string, path, required)
- **dsigId** (string, path, required)
- **dpId** (string, path, required)
- **body** (RestDeviceInstanceGroupAlertConfigV3, body, optional)
### Responses
#### 200 - Successfully updated the instance group alert threshold
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/device/devices/{deviceId}/devicedatasources/{deviceDsId}/groups/{dsigId}/datapoints/{dpId}/alertconfig"
```
```
--------------------------------
### PUT /device/groups/{deviceGroupId}/datasources/{dsId}/alertsettings
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Update the alert setting for a specific device group datasource
```markdown
### Parameters
- **deviceGroupId** (string, path, required)
- **dsId** (string, path, required)
- **body** (DeviceGroupDataSourceAlertConfig, body, required)
### Responses
#### 200 - Successfully updated the device group datasource alert setting
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/device/groups/{deviceGroupId}/datasources/{dsId}/alertsettings"
```
```
--------------------------------
### POST /dashboard/groups
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
add dashboard group
```markdown
### Parameters
- **body** (DashboardGroup, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/dashboard/groups"
```
```
--------------------------------
### PUT /device/groups/{deviceGroupId}/datasources/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update device group datasource
```markdown
### Parameters
- **deviceGroupId** (string, path, required)
- **id** (string, path, required)
- **body** (DeviceGroupDataSource, body, optional)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/device/groups/{deviceGroupId}/datasources/{id}"
```
```
--------------------------------
### PUT /sdt/sdts/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update SDT (Response may contain extra fields depending upon the type of SDT being updated)
```markdown
### Parameters
- **id** (string, path, required)
- **body** (SDT, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/sdt/sdts/{id}"
```
```
--------------------------------
### PUT /device/groups/{deviceGroupId}/clusterAlertConf/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Update cluster alert configuration
```markdown
### Parameters
- **deviceGroupId** (string, path, required)
- **id** (string, path, required)
- **body** (DeviceClusterAlertConfig, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/device/groups/{deviceGroupId}/clusterAlertConf/{id}"
```
```
--------------------------------
### PUT /setting/alert/rules/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update alert rule
```markdown
### Parameters
- **id** (string, path, required)
- **body** (AlertRule, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/setting/alert/rules/{id}"
```
```
--------------------------------
### POST /alert/alerts/{id}/escalate
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Escalate the alert with the given ID
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully escalated the alert
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/alert/alerts/{id}/escalate"
```
```
--------------------------------
### PATCH /setting/alert/rules/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update alert rule
```markdown
### Parameters
- **id** (string, path, required)
- **body** (AlertRule, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PATCH "https://api.example.com/setting/alert/rules/{id}"
```
```
--------------------------------
### DELETE /setting/topologysources/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Delete TopologySource
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X DELETE "https://api.example.com/setting/topologysources/{id}"
```
```
--------------------------------
### PATCH /device/groups/{deviceGroupId}/datasources/{dsId}/alertsettings
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Update the alert setting for a specific device group datasource
```markdown
### Parameters
- **deviceGroupId** (string, path, required)
- **dsId** (string, path, required)
- **body** (DeviceGroupDataSourceAlertConfig, body, required)
### Responses
#### 200 - Successfully updated the device group datasource alert setting
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PATCH "https://api.example.com/device/groups/{deviceGroupId}/datasources/{dsId}/alertsettings"
```
```
--------------------------------
### POST /aws/functions/testAccount
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Test the connection or status of an AWS account
```markdown
### Parameters
- **body** (RestAwsAccountTestV3, body, required)
### Responses
#### 200 - Successfully tested the AWS account
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/aws/functions/testAccount"
```
```
--------------------------------
### POST /setting/recipientgroups
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add a new recipient group
```markdown
### Parameters
- **body** (RecipientGroup, body, required)
### Responses
#### 200 - Successfully added the recipient group
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/setting/recipientgroups"
```
```
--------------------------------
### POST /dashboard/widgets
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Adds a new widget. Based on widget type, the request and response may contain additional attributes. Please refer to the models corresponding to specific widget types at the bottom of this page for detailed attributes.
```markdown
### Parameters
- **body** (Widget, body, required)
### Responses
#### 200 - Successfully added new widget
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/dashboard/widgets"
```
```
--------------------------------
### DELETE /setting/logsources/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Deletes an existing log source
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully deleted log source
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X DELETE "https://api.example.com/setting/logsources/{id}"
```
```
--------------------------------
### PATCH /device/groups/{deviceGroupId}/datasources/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update device group datasource
```markdown
### Parameters
- **deviceGroupId** (string, path, required)
- **id** (string, path, required)
- **body** (DeviceGroupDataSource, body, optional)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PATCH "https://api.example.com/device/groups/{deviceGroupId}/datasources/{id}"
```
```
--------------------------------
### PUT /device/devices/{deviceId}/properties/{name}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Update a specific property of a device
```markdown
### Parameters
- **deviceId** (string, path, required)
- **name** (string, path, required)
- **body** (EntityProperty, body, required)
### Responses
#### 200 - Successfully updated the device property
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/device/devices/{deviceId}/properties/{name}"
```
```
--------------------------------
### PATCH /sdt/sdts/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
update SDT (Response may contain extra fields depending upon the type of SDT being updated)
```markdown
### Parameters
- **id** (string, path, required)
- **body** (SDT, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PATCH "https://api.example.com/sdt/sdts/{id}"
```
```
--------------------------------
### POST /alert/alerts/{id}/note
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add a note to the alert with the given ID
```markdown
### Parameters
- **id** (string, path, required)
- **body** (AlertAck, body, required)
### Responses
#### 200 - Successfully added the alert note
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/alert/alerts/{id}/note"
```
```
--------------------------------
### DELETE /setting/configsources/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Delete a config source based on the provided ID
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successfully deleted the config source
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X DELETE "https://api.example.com/setting/configsources/{id}"
```
```
--------------------------------
### POST /report/groups
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Add a new report group
```markdown
### Parameters
- **body** (ReportGroup, body, required)
### Responses
#### 200 - Successfully added the report group
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X POST "https://api.example.com/report/groups"
```
```
--------------------------------
### DELETE /log/partitions/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Delete a log partition by ID
```markdown
### Parameters
- **id** (string, path, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X DELETE "https://api.example.com/log/partitions/{id}"
```
```
--------------------------------
### PATCH /device/groups/{deviceGroupId}/clusterAlertConf/{id}
Source: https://www.logicmonitor.com/swagger-ui-master/api-v3/dist/swagger.json
Update cluster alert configuration
```markdown
### Parameters
- **deviceGroupId** (string, path, required)
- **id** (string, path, required)
- **body** (DeviceClusterAlertConfig, body, required)
### Responses
#### 200 - Successful operation
Empty response body
#### default - Error
Error
### Example Usage
```bash
curl -X PATCH "https://api.example.com/device/groups/{deviceGroupId}/clusterAlertConf/{id}"
```
```